Bug 399871 - rpmlint does not know how to compute line lenghts
Summary: rpmlint does not know how to compute line lenghts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2007-11-26 18:53 UTC by Nicolas Mailhot
Modified: 2007-12-21 21:08 UTC (History)
2 users (show)

Fixed In Version: 0.82-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 21:08:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2007-11-26 18:53:44 UTC
rpmlint pretends it's counting characters, when in fact it's counting bytes, and
its count is wrong when applied to lines containing non-trivial UTF-8, so it
reports bogus line-too-long errors, that reviewers religiously ask to fix in
reviews, which is a major waste of time for everyone involved.

Please teach rpmlint to count characters properly or remove this stupid check

rpmlint-0.81-1.fc8.noarch

Comment 1 Ville Skyttä 2007-11-27 07:40:47 UTC
Reproducer?

Comment 2 Nicolas Mailhot 2007-11-27 10:50:47 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=398781 for example.

I wasted a lot of time trying to understand why rpmlint disagreed with fold and
gedit before noticing in vim the column count was less than 79, but the byte
count was more.

(multiply by ~ 8 packages with that hi the same rplint bug)

Comment 3 Ville Skyttä 2007-11-27 20:29:17 UTC
Fixed upstream, will be in the next release.
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1385

Comment 4 Nicolas Mailhot 2007-11-27 21:43:01 UTC
Thanks!

Comment 5 Fedora Update System 2007-12-07 21:33:26 UTC
rpmlint-0.82-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'

Comment 6 Nicolas Mailhot 2007-12-08 10:13:46 UTC
Works fine, thanks for the fix!

Comment 7 Fedora Update System 2007-12-21 21:08:20 UTC
rpmlint-0.82-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.